Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
Class GroovyRowResult

Represents an extent of objects. It's used in the oneRow method to be able to access the result of a SQL query by the name of the column, or by the column number.

version:
  $Revision: 7922 $

author:
  Jean-Louis Berliet

Field Summary
`LinkedHashMap` | `result`

Constructor Summary
`GroovyRowResult(LinkedHashMap result)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set` | `entrySet()`
`boolean` | `equals(Object o)`
`Object` | `get(Object property)`
`Object` | `getAt(int index)` Retrieve the value of the property by its index.
`Object` | `getProperty(String property)` Retrieve the value of the property by its name *
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map t)`
`Object` | `remove(Object key)`
`int` | `size()`
`String` | `toString()`
`Collection` | `values()`

Constructor Detail

### GroovyRowResult

    public GroovyRowResult(LinkedHashMap result)

Method Detail

### clear

    public void clear()

### containsKey

    public boolean containsKey(Object key)

### containsValue

    public boolean containsValue(Object value)

### entrySet

    public Set entrySet()

### equals

    public boolean equals(Object o)

### get

    public Object get(Object property)

### getAt

    public Object getAt(int index)

  Retrieve the value of the property by its index. A negative index will count backwards from the last column.
  param:
    index is the number of the column to look at
  return:
    the value of the property

### getProperty

    public Object getProperty(String property)

  Retrieve the value of the property by its name *
  param:
    property is the name of the property to look at
  return:
    the value of the property

### hashCode

    public int hashCode()

### isEmpty

    public boolean isEmpty()

### keySet

    public Set keySet()

### put

    public Object put(Object key, Object value)

### putAll

    public void putAll(Map t)

### remove

    public Object remove(Object key)

### size

    public int size()

### toString

    public String toString()

### values

    public Collection values()